/*
 * Copyright 2008 Chris Povirk
 * 
 * This file is part of General Manager for Tecmo Super Bowl.
 * 
 * General Manager for Tecmo Super Bowl is free software: you can redistribute
 * it and/or modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 * 
 * General Manager for Tecmo Super Bowl is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * General Manager for Tecmo Super Bowl. If not, see
 * <http://www.gnu.org/licenses/>.
 */

package org.twofoos.gmtsb.gui.util;

import static org.twofoos.gmtsb.util.StringUtilities.matches;

import java.io.File;
import java.util.regex.Pattern;

import javax.swing.filechooser.FileFilter;

public class RegexFileFilter extends FileFilter
{
  private final String description;
  private final Pattern pattern;

  public RegexFileFilter(Pattern pattern, String description)
  {
    this.pattern = pattern;
    this.description = description;
  }

  @Override
  public boolean accept(File f)
  {
    return matches(pattern, f.getName()) || f.isDirectory();
  }

  @Override
  public String getDescription()
  {
    return description;
  }
}
