/*
 * Copyright 2008 Chris Povirk
 * 
 * This file is part of General Manager for Tecmo Super Bowl.
 * 
 * General Manager for Tecmo Super Bowl is free software: you can redistribute
 * it and/or modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 * 
 * General Manager for Tecmo Super Bowl is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * General Manager for Tecmo Super Bowl. If not, see
 * <http://www.gnu.org/licenses/>.
 */

package org.twofoos.gmtsb.util;

import java.util.regex.Pattern;

public class StringUtilities
{
  private StringUtilities()
  {
  }

  public static boolean stringEquals(String s1, String s2)
  {
    return (s1 == null) ? (s2 == null) : s1.equals(s2);
  }

  public static boolean matches(Pattern pattern, String subject)
  {
    return pattern.matcher(subject).find();
  }

  public static String replaceAll(Pattern pattern, String subject,
      String replacement)
  {
    return pattern.matcher(subject).replaceAll(replacement);
  }
}
